unit pdf2txtD6;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ShellApi;

Function pdf2txt(Source: PChar; Destination : PChar) : longint; stdcall; external 'pdf2txt.dll' name 'PDF2TXT';
procedure SetAutoSupportUnicode(bUnicode: boolean) ; stdcall; external 'pdf2txt.dll' name 'SetAutoSupportUnicode';
procedure SetPageSeparator(pszPageSymbol: PChar); stdcall; external 'pdf2txt.dll' name 'SetAutoSupportUnicode';
procedure SetZoomRatio(iZoomRatio: Integer); stdcall; external 'pdf2txt.dll' name 'SetZoomRatio';
procedure SetAutoAddSpace(bAutoAddSpace1: boolean); stdcall; external 'pdf2txt.dll' name 'SetAutoAddSpace';
function SetTXTFormat(bFormatTXTFile: boolean): Integer; stdcall;external 'pdf2txt.dll' name 'SetTXTFormat';
procedure SetOpenResultFile(IsOpen: boolean);  stdcall;external 'pdf2txt.dll' name 'SetOpenResultFile';
procedure SetDeleteBlankLine(IsDelete: boolean); stdcall;external 'pdf2txt.dll' name 'SetDeleteBlankLine';
procedure PDF2TextSetTempPath(nBufferLength: Integer; lpBuffer: PChar); stdcall; external 'pdf2txt.dll' name 'PDF2TextSetTempPath';

type
  TForm1 = class(TForm)
    Button1: TButton;
    Open: TOpenDialog;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
var
  TxtFile : String;
  szTempPath: PChar;
begin
  // if ok
  if open.Execute then
    begin

    //add later
      SetAutoSupportUnicode(FALSE);


      // Application exe path and add filename for txt
      TxtFile:=ExtractFileDir(ParamStr(0))+'\Temp.Txt';
      // Txt file exist ?
      If FileExists(TxtFile) then
        // ok delete it
        DeleteFile(TxtFile);
      // convert the file

      	SetAutoSupportUnicode(false);
	//SetPageSeparator("<<<<<<<<<********>>>>>>>>>>>>>");
	SetPageSeparator('\f');
	SetZoomRatio(100);
	SetAutoAddSpace(false);
	SetTXTFormat(true);
	SetOpenResultFile(true);
	SetDeleteBlankLine(true);
        

        szTempPath := 'C:\';

        PDF2TextSetTempPath(MAX_PATH, szTempPath);



      Pdf2Txt(PChar(open.Filename),PChar(TxtFile));
      // open notepad with textfile
      ShellExecute(0,'open',PChar(TxtFile),0,0,SW_SHOW);
    end;
end;

end.
